Commits

Georg Brandl  committed 8a5ed5c

More version-compatibility hack removals.

  • Participants
  • Parent commits a021bb8

Comments (0)

Files changed (3)

File sphinx/highlighting.py

         none = TextLexer(),
         python = PythonLexer(),
         pycon = PythonConsoleLexer(),
-        # the python3 option exists as of Pygments 1.0,
-        # but it doesn't do any harm in previous versions
         pycon3 = PythonConsoleLexer(python3=True),
         rest = RstLexer(),
         c = CLexer(),
         if self.dest == 'html':
             return formatter.get_style_defs('.highlight')
         else:
-            styledefs = formatter.get_style_defs()
-            # workaround for Pygments < 0.12
-            if styledefs.startswith('\\newcommand\\at{@}'):
-                styledefs += _LATEX_STYLES
-            return styledefs
+            return formatter.get_style_defs()

File sphinx/util/compat.py

 
 from docutils import nodes
 
-# function missing in docutils 0.5
 def make_admonition(node_class, name, arguments, options, content, lineno,
                     content_offset, block_text, state, state_machine):
     #if not content:

File sphinx/writers/html.py

                 encoded = self.bulk_text_processor(encoded)
             self.body.append(encoded)
 
-    # these are all for docutils 0.5 compatibility
-
     def visit_note(self, node):
         self.visit_admonition(node, 'note')
     def depart_note(self, node):